kitinerary (25.08.1-0ubuntu2) questing; urgency=medium

  * Disable flaky tests at build time.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 15:25:11 +0100

kitinerary (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:09:01 +0100

kitinerary (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:53:40 +0100

kitinerary (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:48:48 +0100

kitinerary (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:41:50 +0100

kitinerary (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:46:06 +0100

kitinerary (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:48:52 +0100

kitinerary (25.04.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 05:50:46 +0200

kitinerary (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:08:46 +0100

kitinerary (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:51:54 +0100

kitinerary (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:29 -0500

kitinerary (24.12.2-1build1) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 09:24:36 -0500

kitinerary (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:05 +0100

kitinerary (24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to build against poppler 25.01 (Closes: #1093282).

 -- Patrick Franz <deltaone@debian.org>  Fri, 17 Jan 2025 19:31:14 +0100

kitinerary (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:27 +0100

kitinerary (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:37:39 +0100

kitinerary (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:02:57 +0200

kitinerary (24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectures where libpoppler-qt6-dev is
    available.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Sep 2024 19:23:07 +0200

kitinerary (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 15:52:34 +0200

kitinerary (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove patches that have been applied upstream.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Jul 2024 00:50:56 +0200

kitinerary (22.12.3-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with poppler >= 24.06 (Closes:
    #1074397).

 -- Patrick Franz <deltaone@debian.org>  Fri, 28 Jun 2024 02:30:49 +0200

kitinerary (22.12.3-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Disable tests (Closes: #1073404).

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 20:27:41 +0200

kitinerary (22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace transitional libzxingcore-dev with libzxing-dev (Closes:
    #1054378).

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Oct 2023 12:37:05 +0200

kitinerary (22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 0ef772c3e0ff8f049f299ad14b3c65327e4fe69e to fix
    the build with GCC 13; patch
    upstream_asn1-Fix-build-with-GCC-13-add-missing-cstdint-inclu.patch.
    (Closes: #1037709)
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jul 2023 05:39:00 +0200

kitinerary (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:11 +0100

kitinerary (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:25:12 +0100

kitinerary (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:49 +0100

kitinerary (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:03:50 +0100

kitinerary (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:53:48 +0100

kitinerary (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:10:40 +0200

kitinerary (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:08:12 +0200

kitinerary (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:16 +0200

kitinerary (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:56:21 +0200

kitinerary (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:01:05 +0200

kitinerary (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:44 +0200

kitinerary (22.04.1-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 21.12.3-3:
    - upstream_Adapt-calendar-test-reference-data-to-new-address-fo.patch:
      drop, backported from upstream
    - upstream_Use-the-new-KContacts-address-formatting-API-properl.patch:
      drop, backported from upstream
    - tests-refs.diff: drop, fixed upstream

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 23:44:59 +0200

kitinerary (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1) (Closes: #1011009).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 21:40:13 +0200

kitinerary (21.12.3-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Adapt a bit to the newer versions of KCalCore: (Closes: #1011009)
    - backport upstream commit e6af8c8b7f1dd2da520d92e89133781d68fe2654;
      patch upstream_Adapt-calendar-test-reference-data-to-new-address-fo.patch
    - backport upstream commit a8d390d43de7cd12b0af4e35605e5cf52bd317ed;
      patch upstream_Use-the-new-KContacts-address-formatting-API-properl.patch
    - manually fix one more output result; patch tests-refs.diff
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 23:11:12 +0200

kitinerary (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:09:17 +0200

kitinerary (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:17:40 +0100

kitinerary (21.08.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing build-dependency iso-codes to fix
    FTBFS. (Closes: #1002192)

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jan 2022 21:09:15 -0500

kitinerary (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:21:58 +0900

kitinerary (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:15:41 +0900

kitinerary (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:35:23 +0900

kitinerary (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:11:02 +0900

kitinerary (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:23 +0900

kitinerary (20.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add libkf5calendarcore-dev to depends of libkpimitinerary-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Dec 2020 11:15:55 +0100

kitinerary (20.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Create libkpimitinerary-bin package and install kitinerary-extractor
    to it.

 -- Sandro Knauß <hefee@debian.org>  Tue, 22 Dec 2020 15:21:35 +0100

kitinerary (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Remove upstream applied patches.
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Compile against OpenSSL to parse VDV tickets.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:52 +0100

kitinerary (20.08.2-4) unstable; urgency=medium

  * Team upload.
  * Fix references to the upstream Git repository.
  * Backport upstream commit 06d1c15591f33d055a36657622402d25462bb3ab to avoid
    NaN comparisons; patch upstream_Avoid-NaN-comparisons.patch.
    (Closes: #972589)

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 13:20:56 +0200

kitinerary (20.08.2-3) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:10 +0200

kitinerary (20.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 11:05:13 +0200

kitinerary (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Fix copyright information for appdata.xml.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:24 +0200

kitinerary (20.04.1-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 7098c8be9a5e7fabf74543308bfaf11a2ebe5484 to fix
    the version detection of newer Poppler versions; patch
    upstream_Fix-build-with-latest-Poppler.patch.
  * Make libkpimitinerary5 require a not older than itself version of
    libkpimitinerary-data.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Sep 2020 13:00:41 +0200

kitinerary (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/org_kde_kitinerary.categories conffile.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Explicitly add the gettext build dependency.
  * Add the qml-module-qtqml build dependency, needed for the tests.
    (Closes: #964493)
  * Backport upstream commit 8bf24e2372b142f1a2189ad951fa396c5a4e0e74 to fix
    build with newer zxing; patch upstream_Fix-build-with-zxing-1.1.0.patch.
  * Update install files
    - explicitly remove kitinerary-extractor for now (it was already not
      shipped anywhere), until a proper place for it is found

 -- Pino Toscano <pino@debian.org>  Wed, 19 Aug 2020 08:11:53 +0200

kitinerary (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:49 +0200

kitinerary (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add ZXing-C++ to build-dependency (Closes: #949681)
  * New upstream release (20.04.0).
  * Enable hardening all.
  * add all test-data lintian issues to source/lintian-overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:21:57 +0200

kitinerary (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:55 +0100

kitinerary (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Update libkpimitinerary-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:24 +0100

kitinerary (18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:49:47 +0100

kitinerary (18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:03:53 +0200

kitinerary (18.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:13 +0100

kitinerary (18.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:58:55 +0100

kitinerary (18.08.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
    - Compatible with poppler 0.71 (Closes: #914902)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Dec 2018 08:40:11 -0500

kitinerary (18.08.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:00 +0200

kitinerary (18.07.90-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * fix dependency between libkpimitinerary5 and libkpimitinerary-data.
  * Update symbols from buildds for 18.07.90
  * Run tests not in parallel.

 -- Sandro Knauß <hefee@debian.org>  Thu, 06 Sep 2018 17:06:49 +0200

kitinerary (18.07.90-1) experimental; urgency=medium

  * First release in Debian.
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Use secure version of download url
  * Update build-deps and deps with the info from cmake.
  * Add myself as Uploader.
  * Mark libkpimitinerary-dev as Multi-Arch: same.
  * Add symbols file for libkpimkitinerary5.
  * Split out arch independent data into libkpimitinerary-data.
  * Update copyright file for new upstream.
  * Add source/lintian-overrides for overwriting issues with test data.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 10:44:18 +0200

kitinerary (0.0-0neon) xenial; urgency=medium

  * Initial package

 -- Neon CI <neon@kde.org>  Wed, 07 Feb 2018 17:35:10 +0000
